# ProjectDebugInfo

Class in [Yarn.Compiler](/3.1/api/csharp/yarn.compiler.md)

Inherits from `System.Object`

## Summary

Contains debugging information for compiled Yarn Projects.

```csharp
public class ProjectDebugInfo
```

## Methods

| Name                                                                                                                                        | Description                                             |
| ------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------- |
| [GetNodeDebugInfo(string)](/3.1/api/csharp/yarn.compiler/yarn.compiler.projectdebuginfo/yarn.compiler.projectdebuginfo.getnodedebuginfo.md) | Gets the debugging info for a given node, if it exists. |

## Properties

| Name                                                                                                          | Description                                      |
| ------------------------------------------------------------------------------------------------------------- | ------------------------------------------------ |
| [Nodes](/3.1/api/csharp/yarn.compiler/yarn.compiler.projectdebuginfo/yarn.compiler.projectdebuginfo.nodes.md) | The debugging info for the nodes in the project. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.compiler/yarn.compiler.projectdebuginfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
